#!/bin/sh -e
#
# symlinks.sh - Generate convenience symbolic links
#
# Written 2001 by Werner Almesberger
#
# Copyright 2001 Network Robots
#

if [ -z "$1" -o ! -z "$2" ]; then
    echo "usage: $0 target_dir" 1>&2
    exit 1
fi

. config

link()
{
    dest="$1"
    shift
    mkdir -p "$dest"
    for n in "$@"; do
#--- for sanity checks only ---------------------------------------------------
#	if [ ! -e "$n" ]; then
#	    echo "$n does not exist" 1>&2
#	    exit 1
#	fi
#------------------------------------------------------------------------------
	ln -sf $TOPDIR/"$n" "$dest"
    done
}


#
# bin
#
link $1/bin \
  tcc/tcc tcc/tcc-module \
  tcsim/tcsim tcsim/filter.pl tcsim/plot.pl \
  tcsim/modules/kmod_cc tcsim/modules/tcmod_cc

#
# include
#
link $1/include \
  tcc/fields.tc \
  tcc/ext/tccext.h tcc/ext/echoh.h \
  tcsim/ip.def tcsim/tcngreg.def \
  tcsim/klib tcsim/ulib

#
# lib
#
link $1/lib \
  tcc/tcm_cls.c tcc/tcm_f.c \
  tcc/ext/libtccext.a

exit 0
